<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("sta" . "tus" => base64_decode("c3RhdH" . "Vz"), "_ff248fe1eba6" . "8f190ea1ff00a" . "554acde" => base64_decode("YXN" . "zaW" . "duZ" . "WU="), "_83396dddfc39e26775d1e61db5" . "abf86b" => base64_decode("bW9uaXRvcmluZw=" . "="), "_8af1b1bd0" . "c05175c85a" . "4cee44d47d" . "2da" => base64_decode("cXVlcnlfZmllb" . "GRz"), "_1ac5cc48c34c536" . "2e94d8667cc7b0dd" . "c" => base64_decode("L" . "A" . "=" . "="), "_c42d618c08b720c" . "25b90ad5550e2db2" . "f" => base64_decode("cmVwb3" . "J0ZXI="), "_7276e0af756e529d30af7aa" . "afe4e7784" => base64_decode("YXJjaGl2Z" . "WQ="), "_7608a2690229dd26ac43cb60aa2a7d" . "97" => base64_decode("bGFzdF9tb2RpZm" . "llZA=="), "_f73dab60" . "6630b3886" . "45c4f7d3f" . "bb13bb" => base64_decode("YXJyYX" . "lfbWVy" . "Z2U="), "_5159b3572969eca46" . "acd1b2e1418459c" => base64_decode("aW1w" . "bG9k" . "ZQ=="), "_7f5aa4e96d4b415a86ed72ebff" . "677cbe" => base64_decode("cXVlc" . "nk="), "_57c0a2f09e2a" . "920c0560baffc" . "5e3d295" => base64_decode("cmVwb3J0ZX" . "Jz"), "_5ecedeb8c083d4a2a4ebef5526" . "097f58" => base64_decode("YXNzaWd" . "uZWVz"), "_4d707fab93b" . "ebb00bbe69e8" . "159697c90" => base64_decode(""), "projec" . "t_id" => base64_decode("cHJv" . "amVj" . "dF9p" . "ZA=="), "_8f3ef8878b2a82b830d" . "051a059162317" => base64_decode("Y3JlYXRl" . "ZF9mcm9t"));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c42d618c08b720c25b90" . "ad5550e2db2f"]] ?? $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ff248fe1eba68f190ea1ff0" . "0a554acde"]] ?? $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["sta" . "tus"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8f3ef8878b2a82b830d051a05" . "9162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7608a2690229dd26" . "ac43cb60aa2a7d97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7276e0af756e529d30af7" . "aaafe4e7784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_7276e0a" . "f756e529" . "d30af7aa" . "afe4e778" . "4"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_83396dddfc39e26775d1e6" . "1db5abf86b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_83396dd" . "dfc39e26" . "775d1e61" . "db5abf86" . "b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7f5aa4e96d" . "4b415a86ed7" . "2ebff677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8af1b1bd0c05175c85a4cee44d4" . "7d2da"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8af1b1bd0c" . "05175c85a4c" . "ee44d47d2da"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f73dab606630b388645c4f7" . "d3fbb13bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["project_" . "id"] => $this->projectId, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_57c0a2f09e2a920c" . "0560baffc5e3d295"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5159b3572969eca46acd1b2e1" . "418459c"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_1ac5cc48c34c536" . "2e94d8667cc7b0dd" . "c"], $this->reporter) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5ecedeb8c08" . "3d4a2a4ebef5" . "526097f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5159b3572969eca46acd1b2e14" . "18459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_1ac5cc48c34c5362e94d8667" . "cc7b0ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7276e0af756e5" . "29d30af7aaafe4" . "e7784"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_83396dddfc3" . "9e26775d1e61" . "db5abf86b"] => $this->monitoring, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["st" . "at" . "us"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}